nodes / vzdump
3 operations.
POST /nodes/{node}/vzdump
ts
proxmox.nodes.$(node).vzdump.$post()Create backup.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
all | boolean | Backup all known guest systems on this host. — default 0 | |
bwlimit | number | Limit I/O bandwidth (in KiB/s). — min 0, default 0 | |
compress | 0 | 1 | gzip | lzo | zstd | Compress dump file. — default "0" | |
dumpdir | string | Store resulting files to specified directory. | |
exclude | string | Exclude specified guest systems (assumes --all) — format pve-vmid-list | |
exclude-path | string[] | Exclude certain files/directories (shell globs). Paths starting with '/' are anchored to the container's root, other paths match relative to each subdirectory. | |
fleecing | string | Options for backup fleecing (VM only). — format backup-fleecing | |
ionice | number | Set IO priority when using the BFQ scheduler. For snapshot and suspend mode backups of VMs, this only affects the compressor. A value of 8 means the idle priority is used, otherwise the best-effort priority is used with the specified value. — min 0, max 8, default 7 | |
job-id | string | The ID of the backup job. If set, the 'backup-job' metadata field of the backup notification will be set to this value. Only root@pam can set this parameter. — ≤ 50 chars | |
lockwait | number | Maximal time to wait for the global lock (minutes). — min 0, default 180 | |
mailnotification | always | failure | Deprecated: use notification targets/matchers instead. Specify when to send a notification mail — default "always" | |
mailto | string | Deprecated: Use notification targets/matchers instead. Comma-separated list of email addresses or users that should receive email notifications. — format email-or-username-list | |
mode | snapshot | suspend | stop | Backup mode. — default "snapshot" | |
node | string | Only run if executed on this node. — format pve-node | |
notes-template | string | Template string for generating notes for the backup(s). It can contain variables which will be replaced by their values. Currently supported are {{cluster}}, {{guestname}}, {{node}}, and {{vmid}}, but more might be added in the future. Needs to be a single line, newline and backslash need to be escaped as '\n' and '\' respectively. — ≤ 1024 chars | |
notification-mode | auto | legacy-sendmail | notification-system | Determine which notification system to use. If set to 'legacy-sendmail', vzdump will consider the mailto/mailnotification parameters and send emails to the specified address(es) via the 'sendmail' command. If set to 'notification-system', a notification will be sent via PVE's notification system, and the mailto and mailnotification will be ignored. If set to 'auto' (default setting), an email will be sent if mailto is set, and the notification system will be used if not. — default "auto" | |
pbs-change-detection-mode | legacy | data | metadata | PBS mode used to detect file changes and switch encoding format for container backups. | |
performance | string | Other performance-related settings. — format backup-performance | |
pigz | number | Use pigz instead of gzip when N>0. N=1 uses half of cores, N>1 uses N as thread count. — default 0 | |
pool | string | Backup all known guest systems included in the specified pool. | |
protected | boolean | If true, mark backup(s) as protected. | |
prune-backups | string | Use these retention options instead of those from the storage configuration. — format prune-backups, default "keep-all=1" | |
quiet | boolean | Be quiet. — default 0 | |
remove | boolean | Prune older backups according to 'prune-backups'. — default 1 | |
script | string | Use specified hook script. | |
stdexcludes | boolean | Exclude temporary files and logs. — default 1 | |
stdout | boolean | Write tar to stdout, not to a file. | |
stop | boolean | Stop running backup jobs on this host. — default 0 | |
stopwait | number | Maximal time to wait until a guest system is stopped (minutes). — min 0, default 10 | |
storage | string | Store resulting file to this storage. — format pve-storage-id | |
tmpdir | string | Store temporary files to specified directory. | |
vmid | string | The ID of the guest system you want to backup. — format pve-vmid-list | |
zstd | number | Zstd threads. N=0 uses half of the available cores, if N is set to a value bigger than 0, N is used as thread count. — default 1 |
GET /nodes/{node}/vzdump/defaults
ts
proxmox.nodes.$(node).vzdump.defaults.$get()Get the currently configured vzdump defaults.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
storage | string | The storage identifier. — format pve-storage-id |
GET /nodes/{node}/vzdump/extractconfig
ts
proxmox.nodes.$(node).vzdump.extractconfig.$get()Extract configuration from vzdump backup archive.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
volume | string | yes | Volume identifier |